Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 126073 - =dev-python/python-musicbrainz-0.7.0 - Version bump
Summary: =dev-python/python-musicbrainz-0.7.0 - Version bump
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 175495
  Show dependency tree
 
Reported: 2006-03-13 13:34 UTC by Maxwell Grender-Jones
Modified: 2009-07-17 15:03 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild (python-musicbrainz-0.2.0.ebuild,410 bytes, text/plain)
2006-03-13 13:40 UTC, Maxwell Grender-Jones
Details
Updated ebuild (python-musicbrainz-0.2.1.ebuild,472 bytes, text/plain)
2006-03-19 12:24 UTC, Maxwell Grender-Jones
Details
python-musicbrainz2-0.3.1.ebuild (python-musicbrainz2-0.3.1.ebuild,688 bytes, text/plain)
2006-04-18 06:25 UTC, Kai Huuhko
Details
ebuild from Marti Raudsepp's picard overlay (python-musicbrainz2-0.3.1.ebuild,695 bytes, text/plain)
2006-09-08 11:02 UTC, ra
Details
dev-python/python-musicbrainz2-0.4.0.ebuild (python-musicbrainz2-0.4.0.ebuild,482 bytes, text/plain)
2006-11-18 11:51 UTC, Dick Marinus
Details
python-musicbrainz2/python-musicbrainz2-0.4.1.ebuild (python-musicbrainz2-0.4.1.ebuild,743 bytes, text/plain)
2007-04-22 17:46 UTC, Pacho Ramos
Details
python-musicbrainz2-0.6.0.ebuild (python-musicbrainz2-0.6.0.ebuild,836 bytes, text/plain)
2008-09-12 16:38 UTC, Jeroen Roovers (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxwell Grender-Jones 2006-03-13 13:34:15 UTC
I'm not sure what the package should be called, so I've just put it in the python-musicbrainz directory, and called it version 0.2.0 (the dated version is *waaay* out of date, and can probably be removed - the bindings for the old version of the library are now contained in the library itself).

This package doesn't depend on libofa (Bug #126069) for install, but obviously it's not much use without it.

A 0.5.x version of tunepimp is probably also needed - I'll attach an ebuild to Bug #120769 with that.
Comment 1 Maxwell Grender-Jones 2006-03-13 13:40:04 UTC
Created attachment 82036 [details]
ebuild

So simple, I'm rather embarassed to attach it...
Comment 2 Maxwell Grender-Jones 2006-03-18 17:07:50 UTC
version 0.2.1 now out - no changes needed to the ebuild
Comment 3 Maxwell Grender-Jones 2006-03-19 12:24:24 UTC
Created attachment 82596 [details]
Updated ebuild

Turns out it's not quite pure python - the bit that calculates disc ids depends on the musicbrainz library (and ctypes)
Comment 4 tim 2006-03-26 06:40:52 UTC
ebuild works for 0.2.2 too ...
Comment 5 Maxwell Grender-Jones 2006-04-08 07:02:20 UTC
and for v 0.3.1, but note that the API has changed. No point slotting, as we've been well warned that the API isn't yet stable.
Comment 6 Kai Huuhko 2006-04-18 06:25:21 UTC
Created attachment 84895 [details]
python-musicbrainz2-0.3.1.ebuild

I was trying to get a working python-musicbrainz for a Quod Libet plugin, so I made this ebuild, only to notice that the plugin doesn't use the new API. Anyway, I hope this will be useful to someone.
Comment 7 Marti Raudsepp 2006-04-22 16:12:56 UTC
Works on AMD64, I suggest adding ~amd64 to KEYWORDS.
Comment 8 Ryan 2006-07-24 12:18:31 UTC
check out picard bug report, musicbrainz website has link to an entire overlay for all the packages for musicbrainz, including python-musicbrainz2
Comment 9 Ryan 2006-07-24 12:19:44 UTC
(In reply to comment #8)
> check out picard bug report, musicbrainz website has link to an entire overlay
> for all the packages for musicbrainz, including python-musicbrainz2
> 

Sorry for the second post, but I thought the link would be nice :/

https://bugs.gentoo.org/show_bug.cgi?id=80312#c46
Comment 10 ra 2006-09-08 11:02:37 UTC
Created attachment 96411 [details]
ebuild from Marti Raudsepp's picard overlay

Attached the ebuild from Marti Raudsepp's picard overlay.

This ebuild needs to be in portage for picard inclusion.
Comment 11 Marti Raudsepp 2006-09-08 11:37:11 UTC
(In reply to comment #10)
> This ebuild needs to be in portage for picard inclusion.

A while ago, Portage did include Picard, but Picard relies on the media-libs/tunepimp package. Unfortunately, Tunepimp keeps changing its APIs and breaking other packages; the ebuild was removed from Portage recently for this reason. Picard will not not be included in Portage until libtunepimp reaches an officially stable API.

This should probably resolved as WONTFIX since this ebuild has no meaning without Picard.
Comment 12 Dick Marinus 2006-11-18 11:51:16 UTC
Created attachment 102290 [details]
dev-python/python-musicbrainz2-0.4.0.ebuild
Comment 13 Dick Marinus 2006-11-18 12:00:21 UTC
this bug depends on bug #155606
Comment 14 Pacho Ramos gentoo-dev 2007-04-22 17:46:15 UTC
Created attachment 117007 [details]
python-musicbrainz2/python-musicbrainz2-0.4.1.ebuild

I am using python-music-brainz2-0.4.1.ebuild from musicbrainz overlay
Comment 15 Santiago M. Mola (RETIRED) gentoo-dev 2007-10-24 20:54:27 UTC
Picard is on the tree and it does not longer use python-musicbrainz2. I see a QuodLibet plugin uses it, and IIRC Listen too. Any other applications which could take advantage of python-musicbrainz2?
Comment 16 Pacho Ramos gentoo-dev 2007-10-25 20:31:41 UTC
media-sound/listen also uses it
Comment 17 Timothy Stotts 2008-02-12 15:27:05 UTC
(In reply to comment #16)
> media-sound/listen also uses it
> 

Correct. Just installed this manually to support listen.
Comment 18 Jeroen Roovers (RETIRED) gentoo-dev 2008-09-12 16:38:40 UTC
Created attachment 165287 [details]
python-musicbrainz2-0.6.0.ebuild

Bump. Also introduced IUSE=examples and not use dodoc to install examples as to have them uncompressed, just like the dev-python/python-musicbrainz have it.

[An alternative would be to set something like this in the (bash) shell:
function bzpy() { bzcat $1 | python - }
but not compressing them is more convenient IMO.]
Comment 19 Samuli Suominen gentoo-dev 2009-07-17 10:20:00 UTC
dev-python/python-musicbrainz-0.7.0 in portage